rb_exec_arg Struct Reference

`#include <intern.h>`

## Data Fields

int | argc
VALUE * | argv
const char * | prog
VALUE | options
VALUE | redirect_fds

## Detailed Description

Definition at line 561 of file intern.h.

## Field Documentation

int rb_exec_arg::argc

Definition at line 562 of file intern.h.

Referenced by pipe_open(), rb_exec_err(), rb_exec_fillarg(), rb_f_spawn(), rb_run_exec_options_err(), and rb_spawn_process().

VALUE* rb_exec_arg::argv

Definition at line 563 of file intern.h.

Referenced by pipe_open(), rb_exec_err(), rb_exec_fillarg(), rb_f_spawn(), rb_run_exec_options_err(), and rb_spawn_process().

VALUE rb_exec_arg::options

Definition at line 565 of file intern.h.

Referenced by rb_exec_arg_addopt(), rb_exec_arg_fixup(), rb_exec_arg_prepare(), rb_exec_fillarg(), rb_f_exec(), rb_run_exec_options_err(), and rb_spawn_process().

const char* rb_exec_arg::prog

Definition at line 564 of file intern.h.

Referenced by pipe_open_s(), pipe_open_v(), rb_check_argv(), rb_exec(), rb_exec_arg_init(), rb_exec_err(), rb_exec_fillarg(), rb_exec_getargs(), rb_f_exec(), rb_f_spawn(), rb_run_exec_options_err(), and rb_spawn_process().

VALUE rb_exec_arg::redirect_fds

Definition at line 566 of file intern.h.

Referenced by rb_exec_arg_fixup(), rb_run_exec_options_err(), and rb_spawn_process().

The documentation for this struct was generated from the following file:

- include/ruby/intern.h